wsgen(1)

Name
wsgen - Java(TM) API for XML Web Services (JAX-WS) 2.0

Specification Version: 2.1
Implementation Version: 2.1.1

The wsgen tool generates JAX-WS portable artifacts used in JAX-WS web services. The tool reads a web service endpoint implementation class (SEI) and generates all the required artifacts for web service deployment, and invocation

Overview

The wsgen tool generates JAX-WS portable artifacts used in JAX-WS web services. The tool reads a web service endpoint class and generates all the required artifacts for web service deployment, and invocation. JAXWS 2.1.1 RI also provides a wsgen ant task, see Wsgen ant task @
https://jax-ws.dev.java.net/nonav/2.1.1/docs/wsgenant.html for details.

Launching wsgen

    o   Solaris/Bsd

        *   export JAXWS_HOME=/pathto/jaxws-ri

        *   $JAXWS_HOME/bin/wsgen.sh -help

    o   Windows

        *   set JAXWS_HOME=c:\pathto\jaxws-ri

        *   %JAXWS_HOME%\bin\wsgen.bat -help

Syntax

wsgen [options] <SEI>

The following table lists the wsgen options.

OptionDescription
-classpath <path>

-cp <path>

-d <directory>

-extension

-helpDisplay help
-keepKeep generated files
-r <directory>

-s <directory>

-verbose

-version

-wsdl[:protocol]

-servicename <name>

-portname <name>

Example

wsgen -d stock -cp myclasspath stock.StockService

This will generate the wrapper classes needed for StockService annotated with @WebService annotation inside stockdirectory.

wsgen -wsdl -d stock -cp myclasspath stock.StockService

This will generate a SOAP 1.1 WSDL and schema for your Java class stock.StockService annotated with @WebService annotation.

wsgen -wsdl:Xsoap1.2 -d stock -cp myclasspath stock.StockService

Will generate a SOAP 1.2 WSDL.

Note that you do not have to generate WSDL at the development time as JAXWS runtime will automatically generate a WSDL for you when you deploy your service.